Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 236509 - bad quoting of desktop entries with ()
Summary: bad quoting of desktop entries with ()
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: fluxbox
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Andreas Bierfert
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-04-15 16:37 UTC by Patrice Dumas
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-25 22:05:33 UTC


Attachments (Terms of Use)

Description Patrice Dumas 2007-04-15 16:37:51 UTC
Description of problem:

fluxbox-xdg-menu doesn't properly quote closing parenthesis
in Name. For example I have 
Name=PAW++ (Physics Analysis Workstation)

It leads to 
                        [exec] (PAW++ (Physics Analysis Workstation)) {paw++}
</usr/share/icons/hicolor/48x48/apps/paw.xpm>  
which is not good. I didn't find a definitive explanation of 
how things are quoted. I tried a bit and found that
(PAW++ (Physics Analysis Workstation\)) works well.

Version-Release number of selected component (if applicable):

fluxbox-0.9.15.1-3.fc6

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:


Note You need to log in before you can comment on or make changes to this bug.